Launch Week 02 wrapped — explore all five launches

Delete Server

DELETEhttps://api.confident-ai.com/v2/mcp-servers/{mcpServerId}

Permanently deletes an MCP server from your project. This cannot be undone, and evaluations and AI connections that used the server stop using it.

DELETE/v2/mcp-servers/{mcpServerId}
curl -X DELETE "https://api.confident-ai.com/v2/mcp-servers/{mcpServerId}" \
  -H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"
200
{
  "success": true,
  "data": {
    "id": "<MCP-SERVER-ID>"
  },
  "deprecated": false
}

Headers

  • CONFIDENT_API_KEYstringRequired

    The API key of your Confident AI project.

Path parameters

  • mcpServerIdstringRequired

    The id of the MCP server.

Response

Delete Server succeeded.

  • successboolean

    Indicates if the request was successful.

  • dataobject

    A reference to an MCP server by its id.

    Show 1 propertyHide 1 property
    • idstring

      The id of the MCP server, generated by Confident AI.

  • deprecatedboolean

    Indicates if this endpoint is deprecated.

Built byConfident AI